extends Control

class_name CollectibleUI

@onready var label: Label = $%CollectibleName
@onready var texture_rect: TextureRect = $%CollectibleTexture
var collectible_resource: CollectibleResource

func setup(collectible: CollectibleResource) -> void:
	collectible_resource = collectible
	if !label:
		label = $%CollectibleName
	label.text = collectible_resource.title
	if collectible.image:
		if !texture_rect:
			texture_rect = $%CollectibleTexture
		texture_rect.texture = collectible_resource.image

func unlock() -> void:
	if !texture_rect:
		texture_rect = $%CollectibleTexture
	texture_rect.set_modulate(Color(1,1,1,1))
